Subject: bug#53678: 29.0.50; Invalid read syntax: "#<" for package install in Windows

From: Alan Mackenzie <[email-masked]>
Date: Thu, 3 Feb 2022 19:16:23 +0000

Hello again, Shuguang.

On Thu, Feb 03, 2022 at 10:55:02 +0800, Shuguang Sun wrote:
> Thank you Stefan and Alan in another email.

> With the hint, I find out the `async-bytecomp-package-mode` is turn on
> by the package `helm-core`. So it is a bug of `async-bytecomp` maybe,
> and I will report it the package author.

> Sorry for the misleading information in the orignial email.

A hypothesis for what is happening is that a symbol with position,
looking like:

    #<symbol foo at 666>

, has somehow got into a .elc file.  The loader (contained within the
file .../src/lread.c) chokes when it encounters such a symbol.

If you have an idea which .elc file might be causing the trouble, could
I suggest you visit this file within Emacs.  There is a mode for .elc
files.  :-).  Then search the buffer for the string "#<symbol".  Or even
just for the "#<" which the loader might have reported.

> 发自我的iPhone

> ------------------ Original --------------
> Date: Wed,Feb 2,2022 11:32 AM

> Eli Zaretskii [2022-02-01 17:00:34] wrote:
> &gt;&gt; Date: Tue, 01 Feb 2022 13:32:11 +0800
> &gt;&gt; From:&nbsp; Shuguang Sun via "Bug reports for GNU Emacs,
> &gt;&gt;&nbsp; the Swiss army knife of text editors" <[email-masked]&gt;
> &gt;&gt; When I try to install packages from the Package Menu or the command of
> &gt;&gt; package-install since about two weeks ago, it reports the error:
> &gt;&gt; ```
> &gt;&gt; error in process sentinel: async-when-done: Invalid read syntax: "#<"
> &gt;&gt; error in process sentinel: Invalid read syntax: "#<"
> &gt;&gt; ```
> &gt; Stefan, any thoughts?

> IIUC the above error involves some part of the `async` package.
> Could you give a bit more information about how you hooked `async` with
> `package`?

> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).